Bug 1419020 (CVE-2016-10159) - CVE-2016-10159 php: Integer overflow in phar_parse_pharfile
Summary: CVE-2016-10159 php: Integer overflow in phar_parse_pharfile
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-10159
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1419021 1554540
Blocks: 1419023
TreeView+ depends on / blocked
 
Reported: 2017-02-03 12:41 UTC by Adam Mariš
Modified: 2020-03-11 15:44 UTC (History)
15 users (show)

Fixed In Version: php 5.6.30, php 7.0.15, php 7.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-10 16:35:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1296 None None None 2018-05-03 05:06:44 UTC

Description Adam Mariš 2017-02-03 12:41:32 UTC
Integer overflow in the phar_parse_pharfile function in ext/phar/phar.c in PHP before 5.6.30 and 7.0.x before 7.0.15 allows remote attackers to cause a denial of service (segmentation fault triggered by out-of-bond memory read) via a specially crafted manifest entry in a PHAR archive.

Upstream bug:

https://bugs.php.net/bug.php?id=73764

Upstream patch:

https://github.com/php/php-src/commit/ca46d0acbce55019b970fcd4c1e8a10edfdded93

Comment 1 Adam Mariš 2017-02-03 12:49:52 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1419021]

Comment 4 errata-xmlrpc 2018-05-03 05:06:32 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS

Via RHSA-2018:1296 https://access.redhat.com/errata/RHSA-2018:1296


Note You need to log in before you can comment on or make changes to this bug.